#
# spec file for package python-mimeparse
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-python-mimeparse
Version:        0.1.4
Release:        8.1
Url:            http://code.google.com/p/mimeparse/
Summary:        Basic functions for parsing and matching mime-type names
License:        MIT
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/python-mimeparse/python-mimeparse-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
Provides:       python-mimeparse = 0.1.4
Obsoletes:      python-mimeparse < 0.1.4
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This module provides basic functions for handling mime-types. It can handle
matching mime-types against a list of media-ranges. See section 14.1 of 
the HTTP specification [RFC 2616] for a complete explanation.

%prep
%setup -q -n python-mimeparse-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python mimeparse_test.py

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{python_sitelib}/*

%changelog
* Tue Apr 30 2013 speilicke@suse.com
- Add LICENSE to documentation
* Mon Apr 29 2013 dmueller@suse.com
- update to 0.1.4:
  * no changelog available
- rename to proper package name
* Wed Mar 21 2012 saschpe@gmx.de
- Initial version
